net.minecraft.util

## Class Vec3

- java.lang.Object
- - net.minecraft.util.Vec3

-     public class Vec3
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Vec3Pool` | `fakePool`
    `Vec3Pool` | `myVec3LocalPool`
    `double` | `xCoord`
    `double` | `yCoord`
    `double` | `zCoord`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Vec3(Vec3Pool par1Vec3Pool, double par2, double par4, double par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vec3` | `addVector(double par1, double par3, double par5)`
    `static Vec3` | `createVectorHelper(double par0, double par2, double par4)`
    `Vec3` | `crossProduct(Vec3 par1Vec3)`
    `double` | `distanceTo(Vec3 par1Vec3)`
    `double` | `dotProduct(Vec3 par1Vec3)`
    `Vec3` | `getIntermediateWithXValue(Vec3 par1Vec3, double par2)`
    `Vec3` | `getIntermediateWithYValue(Vec3 par1Vec3, double par2)`
    `Vec3` | `getIntermediateWithZValue(Vec3 par1Vec3, double par2)`
    `double` | `lengthVector()`
    `Vec3` | `normalize()`
    `void` | `rotateAroundX(float par1)`
    `void` | `rotateAroundY(float par1)`
    `void` | `rotateAroundZ(float par1)`
    `protected Vec3` | `setComponents(double par1, double par3, double par5)`
    `double` | `squareDistanceTo(double par1, double par3, double par5)`
    `double` | `squareDistanceTo(Vec3 par1Vec3)`
    `Vec3` | `subtract(Vec3 par1Vec3)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fakePool

          public static final Vec3Pool fakePool

    - #### myVec3LocalPool

          public final Vec3Pool myVec3LocalPool

    - #### xCoord

          public double xCoord

    - #### yCoord

          public double yCoord

    - #### zCoord

          public double zCoord

  - ### Constructor Detail

    - #### Vec3

          protected Vec3(Vec3Pool par1Vec3Pool,
              double par2,
              double par4,
              double par6)

  - ### Method Detail

    - #### createVectorHelper

          public static Vec3 createVectorHelper(double par0,
                                double par2,
                                double par4)

    - #### setComponents

          protected Vec3 setComponents(double par1,
                           double par3,
                           double par5)

    - #### subtract

          public Vec3 subtract(Vec3 par1Vec3)

    - #### normalize

          public Vec3 normalize()

    - #### dotProduct

          public double dotProduct(Vec3 par1Vec3)

    - #### crossProduct

          public Vec3 crossProduct(Vec3 par1Vec3)

    - #### addVector

          public Vec3 addVector(double par1,
                       double par3,
                       double par5)

    - #### distanceTo

          public double distanceTo(Vec3 par1Vec3)

    - #### squareDistanceTo

          public double squareDistanceTo(Vec3 par1Vec3)

    - #### squareDistanceTo

          public double squareDistanceTo(double par1,
                                double par3,
                                double par5)

    - #### lengthVector

          public double lengthVector()

    - #### getIntermediateWithXValue

          public Vec3 getIntermediateWithXValue(Vec3 par1Vec3,
                                       double par2)

    - #### getIntermediateWithYValue

          public Vec3 getIntermediateWithYValue(Vec3 par1Vec3,
                                       double par2)

    - #### getIntermediateWithZValue

          public Vec3 getIntermediateWithZValue(Vec3 par1Vec3,
                                       double par2)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### rotateAroundX

          public void rotateAroundX(float par1)

    - #### rotateAroundY

          public void rotateAroundY(float par1)

    - #### rotateAroundZ

          public void rotateAroundZ(float par1)